FIND_PATH(APR_INCLUDE_DIR NAMES apr.h
			PATH_SUFFIXES apr-1)
MARK_AS_ADVANCED(APR_INCLUDE_DIR)

FIND_LIBRARY(APR_LIB NAMES apr-1)
FIND_LIBRARY(APRUTIL_LIB NAMES aprutil-1)

MARK_AS_ADVANCED(APR_LIB)
MARK_AS_ADVANCED(APRUTIL_LIB)

# handle the QUIETLY and REQUIRED arguments and set APR_FOUND to TRUE if 
# all listed variables are TRUE
INCLUDE(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(APR DEFAULT_MSG APR_LIB APRUTIL_LIB APR_INCLUDE_DIR)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(APRUTIL DEFAULT_MSG APRUTIL_LIB)

IF(APR_FOUND AND APRUTIL_FOUND)
	SET(APR_LIBRARIES ${APR_LIB} ${APRUTIL_LIB})
	SET(APR_INCLUDE_DIRS ${APR_INCLUDE_DIR})
ELSE(APR_FOUND AND APRUTIL_FOUND)
	SET(APR_LIBRARIES)
	SET(APR_INCLUDE_DIRS)
ENDIF(APR_FOUND AND APRUTIL_FOUND)