/*
Copyright 2010-2011 SourceGear, LLC

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

/**
 *
 * @file sg_treenode_submodule_typedefs.h
 *
 * @details 
 *
 */

//////////////////////////////////////////////////////////////////

#ifndef H_SG_TREENODE_SUBMODULE_TYPEDEFS_H
#define H_SG_TREENODE_SUBMODULE_TYPEDEFS_H

BEGIN_EXTERN_C;

//////////////////////////////////////////////////////////////////

#define SG_TREENODE_SUBMODULE__TECH__VERACITY		"sg"

//////////////////////////////////////////////////////////////////

typedef struct SG_treenode_submodule SG_treenode_submodule;

//////////////////////////////////////////////////////////////////

typedef struct SG_treenode_submodule_instance_data_update SG_treenode_submodule_instance_data_update;

struct SG_treenode_submodule_instance_data_update
{
	void (*pfn_dtor)(SG_context * pCtx,
					 SG_treenode_submodule_instance_data_update * pTSIDU);
	void * pVoid;
};

//////////////////////////////////////////////////////////////////

#define SG_CHECKOUT_INSTANCE_DATA__KEY__REPO_NAME	"repo_name"
#define SG_CHECKOUT_INSTANCE_DATA__KEY__CSET_ID		"cset_id"
#define SG_CHECKOUT_INSTANCE_DATA__KEY__SUBS		"subs"
#define SG_CHECKOUT_INSTANCE_DATA__KEY__NO_SUBS		"no_subs"
#define SG_CHECKOUT_INSTANCE_DATA__KEY__TECH		"tech"

//////////////////////////////////////////////////////////////////

END_EXTERN_C;

#endif//H_SG_TREENODE_SUBMODULE_TYPEDEFS_H
