/*
Copyright 2010-2011 SourceGear, LLC

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

/**
 *
 * @file sg_mrg__private_master_plan__typedefs.h
 *
 * @details
 *
 */

//////////////////////////////////////////////////////////////////

#ifndef H_SG_MRG__PRIVATE_MASTER_PLAN__TYPEDEFS_H
#define H_SG_MRG__PRIVATE_MASTER_PLAN__TYPEDEFS_H

BEGIN_EXTERN_C;

//////////////////////////////////////////////////////////////////

#define _SG_MRG__PLAN__MARKER__FLAGS__ZERO			0x0000

#define _SG_MRG__PLAN__MARKER__FLAGS__PARKED		0x0001
#define _SG_MRG__PLAN__MARKER__FLAGS__APPLIED		0x0080


//////////////////////////////////////////////////////////////////

END_EXTERN_C;

#endif//H_SG_MRG__PRIVATE_MASTER_PLAN__TYPEDEFS_H
