// VeracityOverlay_Conflict.cpp : Implementation of CVeracityOverlay_Conflict

#include "../stdafx.h"
#include "VeracityOverlay_Conflict.h"


// CVeracityOverlay_Conflict

extern "C"{
#define BEGIN_EXTERN_C
#define END_EXTERN_C
#include "sg.h"
#include "sg_workingdir_prototypes.h"

}
// CVeracityOverlay_Conflict

STDMETHODIMP CVeracityOverlay_Conflict::GetOverlayInfo(LPWSTR pwszIconFile, int cchMax, int *pIndex, DWORD *pdwFlags)
{
	pwszIconFile;
	cchMax;
	pIndex;
	pdwFlags;
	return S_OK;
}
STDMETHODIMP CVeracityOverlay_Conflict::GetPriority(int *pPriority)
{
	*pPriority = 0;
	return S_OK;
}
STDMETHODIMP CVeracityOverlay_Conflict::IsMemberOf(LPCWSTR pwszPath, DWORD dwAttrib)
{
	pwszPath;
	dwAttrib;
	HRESULT returnVal = S_FALSE;
	SG_context* pCtx = GetAContext();
	
	SG_pathname * pPathCwd = NULL;
	if (InAWorkingFolder(pCtx, pwszPath, &pPathCwd) )
	{
		bool isPrivate = IsVeracityPrivateDir(pCtx, pPathCwd);
		if (!isPrivate)
		{	
			bool isConflict =  IsConflict(pCtx, pPathCwd);
			if ( isConflict  )
				returnVal = S_OK;
			else
				returnVal = S_FALSE;
		}
		else
			returnVal = S_FALSE;
}
	else
		returnVal = S_FALSE;
	SG_PATHNAME_NULLFREE(pCtx, pPathCwd);
	SG_CONTEXT_NULLFREE(pCtx);
	return returnVal;
}

