/*
Copyright 2010-2011 SourceGear, LLC

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
// dllmain.cpp : Implementation of DllMain.

#include "stdafx.h"
#include "resource.h"
#include "VeracityTortoise_i.h"
#include "dllmain.h"
#include "compreg.h"

extern "C"{
#define BEGIN_EXTERN_C
#define END_EXTERN_C
#include "sg.h"
}


CVeracityTortoiseModule _AtlModule;

// DLL Entry Point
extern "C" BOOL WINAPI DllMain(HINSTANCE hInstance, DWORD dwReason, LPVOID lpReserved)
{
	hInstance;
#if DEBUG

	if (::IsDebuggerPresent() == false)
	{
		TCHAR buf[_MAX_PATH + 1];
		GetModuleFileName(NULL, buf, _MAX_PATH);
		if (StrCmpW(PathFindFileNameW(buf), _T("regsvr32.exe")) != 0) //Allow the debug build to register.
			return false;
	}

#endif
	//g_hinst = hInstance;
	//if (gbLibDataInitialized == SG_FALSE)
	//{
		SG_error err;
		SG_context* pCtx = NULL;
		err = SG_context__alloc(&pCtx);
		SG_ERR_IGNORE(  SG_lib__global_initialize(pCtx)  );
	//}
	//MessageBox(NULL,(const TCHAR *)_T("DllMain"),NULL,MB_OK|MB_ICONERROR);
	return _AtlModule.DllMain(dwReason, lpReserved); 
}
