FIND_PATH(APACHE_INCLUDE_DIR NAMES httpd.h
		PATH_SUFFIXES "apache2")
		
MARK_AS_ADVANCED(APACHE_INCLUDE_DIR)

# handle the QUIETLY and REQUIRED arguments and set APACHE_FOUND to TRUE if 
# all listed variables are TRUE
INCLUDE(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(APACHE DEFAULT_MSG APACHE_INCLUDE_DIR)

IF(APACHE_FOUND)
	SET(APACHE_INCLUDE_DIRS ${APACHE_INCLUDE_DIR})
ELSE(APACHE_FOUND)
	SET(APACHE_INCLUDE_DIRS)
ENDIF(APACHE_FOUND)