/*
Copyright 2010-2011 SourceGear, LLC

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

/**
 * @file sg_ridesc_defines.h
 *
 * @details #defines for the string keys in a repo instance descriptor
 */

//////////////////////////////////////////////////////////////////

#ifndef H_SG_RIDESC_DEFINES_H
#define H_SG_RIDESC_DEFINES_H

BEGIN_EXTERN_C;

//////////////////////////////////////////////////////////////////

#define SG_RIDESC_KEY__STORAGE					"storage"
#define SG_RIDESC_KEY__REPO_ID					"repo_id"
#define SG_RIDESC_KEY__ADMIN_ID					"admin_id"

#define SG_RIDESC_FSLOCAL__PATH_PARENT_DIR		"path_parent_dir"
#define SG_RIDESC_FSLOCAL__DIR_NAME				"dir_name"

//////////////////////////////////////////////////////////////////

END_EXTERN_C;

#endif//H_SG_RIDESC_DEFINES_H
