// VeracityOverlay_Added.cpp : Implementation of CVeracityOverlay_Added

#include "../stdafx.h"
#include "VeracityOverlay_Added.h"


// CVeracityOverlay_Added


extern "C"{
#define BEGIN_EXTERN_C
#define END_EXTERN_C
#include "sg.h"
#include "sg_workingdir_prototypes.h"

}
// CVeracityOverlay_Added

STDMETHODIMP CVeracityOverlay_Added::GetOverlayInfo(LPWSTR pwszIconFile, int cchMax, int *pIndex, DWORD *pdwFlags)
{
	pwszIconFile;
	cchMax;
	pIndex;
	pdwFlags;
	return S_OK;
}
STDMETHODIMP CVeracityOverlay_Added::GetPriority(int *pPriority)
{
	pPriority;
	return S_OK;
}
STDMETHODIMP CVeracityOverlay_Added::IsMemberOf(LPCWSTR pwszPath, DWORD dwAttrib)
{
	pwszPath;
	dwAttrib;
	HRESULT returnVal = S_FALSE;
	//return returnVal;
	SG_context* pCtx = GetAContext();
	
	SG_pathname * pPathCwd = NULL;
	if (InAWorkingFolder(pCtx, pwszPath, &pPathCwd) )
	{
		bool isPrivate = IsVeracityPrivateDir(pCtx, pPathCwd);
		if (!isPrivate && StatusHas(GetStatus(pCtx, SG_pathname__sz(pPathCwd)), SG_DIFFSTATUS_FLAGS__ADDED) )
			returnVal = S_OK;
		else
			returnVal = S_FALSE;
	}
	else
		returnVal = S_FALSE;
	SG_PATHNAME_NULLFREE(pCtx, pPathCwd);
	SG_CONTEXT_NULLFREE(pCtx);
	return returnVal;
}
