// VeracityOverlay_Modified.cpp : Implementation of CVeracityOverlay_Modified

#include "../stdafx.h"
#include "VeracityOverlay_Modified.h"


// CVeracityOverlay_Modified

extern "C"{
#define BEGIN_EXTERN_C
#define END_EXTERN_C
#include "sg.h"
#include "sg_workingdir_prototypes.h"

}
// CVeracityOverlay_Modified

STDMETHODIMP CVeracityOverlay_Modified::GetOverlayInfo(LPWSTR pwszIconFile, int cchMax, int *pIndex, DWORD *pdwFlags)
{
	pwszIconFile;
	cchMax;
	pIndex;
	pdwFlags;
	return S_OK;
}
STDMETHODIMP CVeracityOverlay_Modified::GetPriority(int *pPriority)
{
	*pPriority = 50;
	return S_OK;
}
STDMETHODIMP CVeracityOverlay_Modified::IsMemberOf(LPCWSTR pwszPath, DWORD dwAttrib)
{
	pwszPath;
	dwAttrib;
	HRESULT returnVal = S_FALSE;
	SG_context* pCtx = GetAContext();
	
	SG_pathname * pPathCwd = NULL;
	if (InAWorkingFolder(pCtx, pwszPath, &pPathCwd) )
	{
		bool isPrivate = IsVeracityPrivateDir(pCtx, pPathCwd);
		if (!isPrivate)
		{	
			SG_diffstatus_flags status =  GetStatus(pCtx, SG_pathname__sz(pPathCwd));
			bool isConflict = IsConflict(pCtx, pPathCwd);
			if ( !isPrivate && !isConflict && (StatusHas(status, SG_DIFFSTATUS_FLAGS__MODIFIED) ||StatusHas(status, SG_DIFFSTATUS_FLAGS__MOVED) || StatusHas(status, SG_DIFFSTATUS_FLAGS__RENAMED))  )
				returnVal = S_OK;
			else
				returnVal = S_FALSE;
		}
		else
			returnVal = S_FALSE;
	}
	else
		returnVal = S_FALSE;
	SG_PATHNAME_NULLFREE(pCtx, pPathCwd);
	SG_CONTEXT_NULLFREE(pCtx);
	return returnVal;
}

