// VeracityOverlay_Normal.cpp : Implementation of CVeracityOverlay_Normal

#include "../stdafx.h"
#include "VeracityOverlay_Normal.h"


// CVeracityOverlay_Normal


extern "C"{
#define BEGIN_EXTERN_C
#define END_EXTERN_C
#include "sg.h"
#include "sg_workingdir_prototypes.h"

}
// CVeracityOverlay_Normal

STDMETHODIMP CVeracityOverlay_Normal::GetOverlayInfo(LPWSTR pwszIconFile, int cchMax, int *pIndex, DWORD *pdwFlags)
{
	pwszIconFile;
	cchMax;
	pIndex;
	pdwFlags;
	return S_OK;
}
STDMETHODIMP CVeracityOverlay_Normal::GetPriority(int *pPriority)
{
	pPriority;
	return S_OK;
}
STDMETHODIMP CVeracityOverlay_Normal::IsMemberOf(LPCWSTR pwszPath, DWORD dwAttrib)
{
	pwszPath;
	dwAttrib;
	HRESULT returnVal = S_FALSE;
	//return returnVal;
	SG_context* pCtx = GetAContext();
	
	SG_pathname * pPathCwd = NULL;
	if (InAWorkingFolder(pCtx, pwszPath, &pPathCwd) )
	{
		bool isPrivate = IsVeracityPrivateDir(pCtx, pPathCwd);
		bool isIgnored = IsIgnored(pCtx, pPathCwd);
		if (!isPrivate)
		{
			SG_diffstatus_flags status =  GetStatus(pCtx, SG_pathname__sz(pPathCwd));
			if (status == SG_DIFFSTATUS_FLAGS__ZERO && !isIgnored)
				returnVal = S_OK;
			else
				returnVal = S_FALSE;
		}
		else
			returnVal = S_FALSE;
	}
	else
		returnVal = S_FALSE;
	SG_PATHNAME_NULLFREE(pCtx, pPathCwd);
	SG_CONTEXT_NULLFREE(pCtx);
	return returnVal;
}
