// VeracityOverlay_Unversioned.cpp : Implementation of CVeracityOverlay_Found

#include "../stdafx.h"
#include "VeracityOverlay_Unversioned.h"


// CVeracityOverlay_Found


extern "C"{
#define BEGIN_EXTERN_C
#define END_EXTERN_C
#include "sg.h"
#include "sg_workingdir_prototypes.h"

}
// CVeracityOverlay_Unversioned

STDMETHODIMP CVeracityOverlay_Unversioned::GetOverlayInfo(LPWSTR pwszIconFile, int cchMax, int *pIndex, DWORD *pdwFlags)
{
	pwszIconFile;
	cchMax;
	pIndex;
	pdwFlags;
	return S_OK;
}
STDMETHODIMP CVeracityOverlay_Unversioned::GetPriority(int *pPriority)
{
	pPriority;
	return S_OK;
}
STDMETHODIMP CVeracityOverlay_Unversioned::IsMemberOf(LPCWSTR pwszPath, DWORD dwAttrib)
{
	pwszPath;
	dwAttrib;
	HRESULT returnVal = S_FALSE;
	SG_context* pCtx = GetAContext();
	
	SG_pathname * pPathCwd = NULL;
	if (InAWorkingFolder(pCtx, pwszPath, &pPathCwd) )
	{
		bool isPrivate = IsVeracityPrivateDir(pCtx, pPathCwd);
		if (!isPrivate && StatusHas(GetStatus(pCtx, SG_pathname__sz(pPathCwd)), SG_DIFFSTATUS_FLAGS__FOUND) )
			returnVal = S_OK;
		else
			returnVal = S_FALSE;
	}
	else
		returnVal = S_FALSE;
	SG_PATHNAME_NULLFREE(pCtx, pPathCwd);
	SG_CONTEXT_NULLFREE(pCtx);
	return returnVal;
}
