#pragma once
#include "stdafx.h"
extern "C"{
#define BEGIN_EXTERN_C
#define END_EXTERN_C
#include "sg.h"
}

class sg_treediff_cache
{
private:
	SG_treediff2 * m_pTreeDiff;
	SG_context * m_pCtx;
	SG_int64 m_lastStatusTime;
	
public:
	sg_treediff_cache();
	sg_treediff_cache(SG_context * pCtx);
	~sg_treediff_cache();
	void GetStatusForPath(SG_context * pCtx, const char * pPathName, SG_diffstatus_flags * pStatusFlags);
	void clearCache();
	void GetLatestTreediff(SG_context * pCtx, SG_pathname * pPathName, char **ppszGID);
};